r.slope.aspect(1)      Grass User's Manual	r.slope.aspect(1)



NNAAMMEE
       _r_._s_l_o_p_e_._a_s_p_e_c_t  -  Generates  raster  map layers of slope,
       aspect, curvatures and partial derivatives from	a  raster
       map  layer  of true elevation values. Aspect is calculated
       counterclockwise from east.

       _(_G_R_A_S_S _R_a_s_t_e_r _P_r_o_g_r_a_m_)



SSYYNNOOPPSSIISS
       rr..ssllooppee..aassppeecctt

       rr..ssllooppee..aassppeecctt hheellpp

       rr..ssllooppee..aassppeecctt	 [--aaqq]	  eelleevvaattiioonn==_n_a_m_e     [ssllooppee==_n_a_m_e]
       [aassppeecctt==_n_a_m_e]  [ffoorrmmaatt==_n_a_m_e]  [zzffaaccttoorr==_v_a_l_u_e]  [pprreecc=_n_a_m_e_]
       [ppccuurrvv=_n_a_m_e] [ttccuurrvv=_n_a_m_e_] [ddxx=_n_a_m_e]  [ddyy=_n_a_m_e]  [ddxxxx=_n_a_m_e]
       [ddyyyy=_n_a_m_e] [ddxxyy=_n_a_m_e]  [mmiinn__ssllpp__aalllloowweedd=_v_a_l_u_e]



DDEESSCCRRIIPPTTIIOONN
       rr..ssllooppee..aassppeecctt  generates  raster  maps	of slope, aspect,
       curvatures and first and second order partial  derivatives
       from a raster map layer of true elevation values. The user
       must specify the input _e_l_e_v_a_t_i_o_n file name  and	at  least
       one output file name. The user can also specify the _f_o_r_m_a_t
       for slope (degrees, percent; default=degrees),  and  _z_f_a_c_-
       _t_o_r:  multiplicative  factor to convert elevation units to
       meters; (default 1.0).



OOPPTTIIOONNSS
       The program will be  run  non-interactively  if	the  user
       specifies  program  inputs  and any desired options on the
       command line, using the form rr..ssllooppee..aassppeecctt  [--aaqq]  eelleevvaa--
       ttiioonn==_n_a_m_e  [ssllooppee==_n_a_m_e] [aassppeecctt==_n_a_m_e] [ffoorrmmaatt==_n_a_m_e] [zzffaacc--
       ttoorr==_v_a_l_u_e]    [pprreecc=_n_a_m_e_]     [ppccuurrvv=_n_a_m_e]    [ttccuurrvv=_n_a_m_e_]
       [ddxx=_n_a_m_e]   [ddyy=_n_a_m_e]   [ddxxxx=_n_a_m_e]  [ddyyyy=_n_a_m_e]  [ddxxyy=_n_a_m_e]
       [mmiinn__ssllpp__aalllloowweedd=_v_a_l_u_e]

       If the user runs: rr..ssllooppee..aassppeecctt

       without command line arguments, the  program  will  prompt
       the user for flag settings and parameter values.

   FFllaaggss::
       --aa  Do  not  align  the settings of the current geographic
	   region (to which the output slope and aspect map  lay-
	   ers	will be set) to those of the elevation layer. See
	   NOTES.

       --qq  Run quietly, and suppress the printing of  information
	   on program operations during execution.


   PPaarraammeetteerrss::
       eelleevvaattiioonn==_n_a_m_e
	   Name  of the raster map layer of true elevation values
	   to be used as input.

       ssllooppee==_n_a_m_e
	   Name of a raster map layer  of  slope  values  created
	   from the elevation map.

       aassppeecctt==_n_a_m_e
	   Name  of  a	raster map layer of aspect values created
	   from the elevation map.

       ffoorrmmaatt=name
	   format for reporting the slope; options:  degrees,per-
	   cent; default: degrees.

       zzffaaccttoorr==_v_a_l_u_e
	   Multiplicative  factor  to  convert elevation units to
	   meters (default: 1.0).

       ppccuurrvv ==_n_a_m_e
	   Output profile curvature filename

       ttccuurrvv ==_n_a_m_e
	   Output tangential curvature filename

       ddxx==_n_a_m_e
	   Output E-W slope filename

       ddyy==_n_a_m_e
	   Output N-S slope filename

       ddxxxx==_n_a_m_e
	   Output partial derivative dxx filename

       ddyyyy==_n_a_m_e
	   Output partial derivative dyy filename

       ddxxyy ==_n_a_m_e
	   Output partial derivative dxy filename

       mmiinn__ssllpp__aalllloowweedd =_v_a_l_u_e
	   Minimum slope value (in percent) for which  aspect  is
	   computed. (default: 0.0)

       pprreecc=_n_a_m_e
	   type   of   output  aspect  and  slope  maps  options:
	   default,double,float,int

       The raster _e_l_e_v_a_t_i_o_n map layer specified by the user  must
       contain true elevation values, _n_o_t rescaled or categorized
       data.

       The raster _a_s_p_e_c_t map layer which is created indicates the
       direction  that	slopes	are facing. The aspect categories
       represent the number degrees of east. Category  and  color
       table  files  are also generated for the aspect map layer.
       The aspect categories represent the number degrees of east
       and they increase counterclockwise: 90deg is North, 180 is
       West, 270 is South and 360 is East.

       The resulting raster _s_l_o_p_e map layer  will  contain  slope
       values, stated in degrees of inclination from the horizon-
       tal if _f_o_r_m_a_t=degrees option (which is also default  )  is
       chosen,	and  in  percent rise if _f_o_r_m_a_t=percent option is
       chosen. The category file, but not  the	color  table,  is
       generated  by  _r_._s_l_o_p_e_._a_s_p_e_c_t  for  the	raster	slope map
       layer.Profile and tangential curvatures are the curvatures
       in the direction of steepest slope and in the direction of
       the contour tangent respectively.

       For some applications, the user will wish to use a reclas-
       sified  map  layer  of slope that groups slope values into
       ranges of slope. This can  be  done  using  _r_._r_e_c_l_a_s_s.  An
       example of a useful reclassification is given below:

			    (in degrees)    (in percent)

		    1	      0-  1		0-  2%
		    2	      2-  3		3-  5%
		    3	      4-  5		6- 10%
		    4	      6-  8	       11- 15%
		    5	      9- 11	       16- 20%
		    6	     12- 14	       21- 25%
		    7	     15- 90	       26% and higher

	    The following color table works well with the above
	    reclassification.

		 category   red   green   blue

		    0	    179    179	   179
		    1	      0    102	     0
		    2	      0    153	     0
		    3	    128    153	     0
		    4	    204    179	     0
		    5	    128     51	    51
		    6	    255      0	     0
		    7	      0      0	     0


NNOOTTEESS
       To ensure that the raster elevation map layer is not inap-
       propriately resampled,
       the settings for the current region are modified  slightly
       (for the execution
       of  the	program only): the resolution is set to match the
       resolution of
       the elevation map and the edges of the  region  (i.e.  the
       north, south, east
       and  west)  are	shifted,  if  necessary, to line up along
       edges of the nearest
       cells in the elevation map. If the user really  wants  the
       elevation map
       resampled  to  the  current region resolution, the -a flag
       should be specified.

       The current mask, if set, is ignored.

       The algorithm used to determine slope and  aspect  uses	a
       3x3 neighborhood
       around  each  cell  in the elevation file. Thus, it is not
       possible to determine
       slope and aspect for the cells adjacent to  the	edges  in
       the elevation map
       layer.  These  cells are assigned a "no data" value (cate-
       gory 0) in both
       the slope and aspect raster map layers.

       Horn's formula is used to find the derivatives in x and	y
       directions.

       Only  when  using  integer elevation models, the aspect is
       biased in 0,
       45, 90, 180, 225, 270, 315, and 360 directions; i.e.,  the
       distribution
       of  aspect  categories  is  very  uneven, with peaks at 0,
       45,..., 360 categories.

       Because most cells with a very small slope end  up  having
       category 0,
       45,...,	360  it  is  sometimes possible to reduce bias in
       these directions
       by filtering out computation of aspect in areas where ter-
       rain is almost
       flat. The new option

       mmiinn__ssllpp=_v_a_l_u_e

       was  added  (minimum  slope for which aspect is computed).
       The aspect for
       all cells with slope < min_slp is set to 0 (no value).

       When working with floating point elevation models, no such
       aspect bias
       occurs.

WWAARRNNIINNGG
       _(_t_h_e  _f_o_l_l_o_w_i_n_g	_m_a_y _n_o_t _b_e _t_r_u_e _a_n_y_m_o_r_e _b_e_c_a_u_s_e _o_f _i_n_t_r_o_-
       _d_u_c_t_i_o_n _o_f _N_U_L_L_,
       _b_u_t _i_t _h_a_s _n_o_t _b_e_e_n _t_e_s_t_e_d_)

       Elevations of zero (as well as below sea level elevations)
       are valid.
       This  means  that areas assigned category value 0 may have
       one of two possible
       meanings: they may either be areas of "no data"	or  areas
       having 0 elevation.

       If  the	user  wishes  _r_._s_l_o_p_e_._a_s_p_e_c_t to assume that cells
       assigned
       category value zero in the elevation map  layer	represent
       true elevation
       values, not areas of "no data", the user should set the -z
       flag when running
       this program.

       If the -z flag is not set and the raster map layer of true
       elevation
       contains  areas of "no data" that are assigned to category
       0, either at
       its edges or in its interior, incorrect (and usually quite
       large) slopes
       will result.

RREEFFEERREENNCCEE
       Horn,  B.  K.  P. (1981). Hill Shading and the Reflectance
       Map, Proceedings
       of the IEEE, 69(1):14-47.

SSEEEE AALLSSOO
       _r_._m_a_p_c_a_l_c

       _r_._n_e_i_g_h_b_o_r_s

       _r_._r_e_c_l_a_s_s

       _r_._r_e_s_c_a_l_e

AAUUTTHHOORRSS
       Michael	 Shapiro,   U.S.Army   Construction   Engineering
       Research Laboratory

       Olga   Waupotitsch,   U.S.Army	Construction  Engineering
       Research Laboratory

       _L_a_s_t _c_h_a_n_g_e_d_: _$_D_a_t_e_: _2_0_0_2_/_0_1_/_2_5 _0_5_:_4_5_:_3_4 _$



GRASS 5.0					r.slope.aspect(1)
